Pages: 12Next
Current Page: 1 of 2
I can't update PHPmyAdmin
Posted by: Pisco (---.dynamic.dsl.as9105.com)
Date: March 21, 2020 08:56PM

Hi,

I tried to update all my Wampserver programs and I couldn't do it with Phpmyadmin. Everytime I try to execute it as an administrator, Windows pops up a window error message saying it has no access to this file. I checked the Visual C++ Redistribuable Packages and I have them all.

What should I check to sort it out?

By the way, I just realised that there are two programs I don't have on my Wampserver package, Aestan Tray Menu and PhpSysInfo. Could anybody give a brief about them to know what they do?

Thanks a lot

Options: ReplyQuote
Re: I can't update PHPmyAdmin
Posted by: RiggsFolly (Moderator)
Date: March 21, 2020 08:58PM

Hi,

Are you sure you installed WAMPServer?

Please answer all these questions before we proceed READ (and answer) BEFORE YOU ASK A QUESTION


Did you try and update `phpMyAdmin` or did you try and update all my Wampserver programs??

---------------------------------------------------------------------------------------------
(Windows 10 Pro 64bit) (Wampserver 3.2.0 32bit & 64bit)
<Apache versions MULTIPE> <PHP versions MULTIPLE> <MySQL Versions MULTIPLE>
<MariaDB versions MULTIPLE> <phpMyAdmin versions MULTIPLE> <MySQL Workbench 8.0.19>

Read The Manuals Apache -- MySQL -- PHP -- phpMyAdmin
Get your Apache/MySQL/mariaDB/PHP ADDONs here from the WAMPServer alternate Repo
-X-X-X- Backup your MySQL databases regularly Here is How dont regret it later! Yes even when developing -X-X-X-



Edited 1 time(s). Last edit at 03/21/2020 09:01PM by RiggsFolly.

Options: ReplyQuote
Re: I can't update PHPmyAdmin
Posted by: Pisco (---.dynamic.dsl.as9105.com)
Date: March 21, 2020 11:37PM

Hi,

Of course I installed Wampserver and it's still working. I installed each update individually.

I have no clue why this one doesn't allow me.

Options: ReplyQuote
Re: I can't update PHPmyAdmin
Posted by: Otomatic (Moderator)
Date: March 22, 2020 09:36AM

Hi,

Here we are not at Mrs. Irma's house, we do not draw cards or read in the coffee grounds and, moreover, our crystal ball is broken.

Please explain clearly and succinctly what EXACTLY is your problem!

And you haven't answered what RiggsFolly asked you.

------------------------------------------------------------------------------------------------------------
Wampserver 3.2.0 32 bit - Apache 2.4.43 - PHP 7.4.4/7.3.16/..../5.6.40 - MySQL 5.7.29 - MariaDB 10.4.12
Wampserver 3.2.0 64 bit - Apache 2.4.43 - PHP 7.4.4/7.3.16/..../5.6.40 - MySQL 5.7.29/8.0.19 - MariaDB 10.4.12
PhPMyadmin 5.0.2 - MysqlDumper 1.24.5
on W10 and W7 Pro 64 bit
Documentation Apache - Documentation PHP - Documentation MySQL - Wampserver install files & addons
« Ce n'est pas parce qu'ils sont nombreux à avoir tort, qu'ils ont forcément raison. Coluche »
« It's not because they are many to be wrong, they are necessarily right. Coluche »

Options: ReplyQuote
Re: I can't update PHPmyAdmin
Posted by: Pisco (---.dynamic.dsl.as9105.com)
Date: March 22, 2020 02:01PM

Hi,

The problem is that I couldn't update Phpmyadmin. After a few attempts eventually I could, but now, when I'm trying to access into my site I can't. I got this message: Error establishing a database connection

I got this error in the past. Most of the time I could sorted by importing the database, but now it doesn't work so I can't access to the site. Neither I can't create another database in Phpmyadmin. When I try to create a new database it pops up this message: #1044 - Access denied for user "@'localhost' to database 'Logan'


Regarding what RiggsFolly asked is that I was just updating all the programs versions through [wampserver.aviatechno.net] one by one, but when I was trying to install Phpmyadmin I got that message from Window saying " no access to this file"

I think my computer just crushed and it didn't allow me to do it. Today I could installed it though, but I couldn't import my database My database is empty and if I can't sort it, I will uninstall Wampserver again and start from scratch.
I wish I were an IT expert but I am only a guy who wants to build his own website for entertainment like a blog.
Hope you can help me and tell me a quicker way to do it. One thing I noticed is that the interface of the log in page from phpmysadmin also doesn't allow me to change the server choice drop down menu. I can only access if MariaDB is selected. No chance with the MySSQL option.

Thanks a lot for your time

Options: ReplyQuote
Re: I can't update PHPmyAdmin
Posted by: Otomatic (Moderator)
Date: March 22, 2020 02:32PM

Hi,

> Error establishing a database connection
This has absolutely nothing to do with PhpMyAdmin. A connection to a database is done via MySQL or MariaDB.

After installing Wampserver, MariaDB is the default database manager.
Read Right-Click -> Help -> MySQL - MariaDB

And, after reading this document, make the decision to use only one database manager, the one that suits you MySQL or MariaDB, make it the default one and delete the other one by Right-Click in the Wamp settings.

------------------------------------------------------------------------------------------------------------
Wampserver 3.2.0 32 bit - Apache 2.4.43 - PHP 7.4.4/7.3.16/..../5.6.40 - MySQL 5.7.29 - MariaDB 10.4.12
Wampserver 3.2.0 64 bit - Apache 2.4.43 - PHP 7.4.4/7.3.16/..../5.6.40 - MySQL 5.7.29/8.0.19 - MariaDB 10.4.12
PhPMyadmin 5.0.2 - MysqlDumper 1.24.5
on W10 and W7 Pro 64 bit
Documentation Apache - Documentation PHP - Documentation MySQL - Wampserver install files & addons
« Ce n'est pas parce qu'ils sont nombreux à avoir tort, qu'ils ont forcément raison. Coluche »
« It's not because they are many to be wrong, they are necessarily right. Coluche »

Options: ReplyQuote
Re: I can't update PHPmyAdmin
Posted by: RiggsFolly (Moderator)
Date: March 22, 2020 09:25PM

This message `#1044 - Access denied for user "@'localhost' to database 'Logan'`

Say that you are attempting to connect to a database WITHOUT A USERID.

Guess what, that does not work well smiling smiley

---------------------------------------------------------------------------------------------
(Windows 10 Pro 64bit) (Wampserver 3.2.0 32bit & 64bit)
<Apache versions MULTIPE> <PHP versions MULTIPLE> <MySQL Versions MULTIPLE>
<MariaDB versions MULTIPLE> <phpMyAdmin versions MULTIPLE> <MySQL Workbench 8.0.19>

Read The Manuals Apache -- MySQL -- PHP -- phpMyAdmin
Get your Apache/MySQL/mariaDB/PHP ADDONs here from the WAMPServer alternate Repo
-X-X-X- Backup your MySQL databases regularly Here is How dont regret it later! Yes even when developing -X-X-X-

Options: ReplyQuote
Re: I can't update PHPmyAdmin
Posted by: Pisco (---.dynamic.dsl.as9105.com)
Date: March 23, 2020 07:54PM

HI,


But I didn't have any password on my phpmyadmin. Why I can't then create any new database?

Options: ReplyQuote
Re: I can't update PHPmyAdmin
Posted by: Otomatic (Moderator)
Date: March 23, 2020 08:14PM

Hi,

No password, ok, but the user must be root.
The error message shows that there is no username.

------------------------------------------------------------------------------------------------------------
Wampserver 3.2.0 32 bit - Apache 2.4.43 - PHP 7.4.4/7.3.16/..../5.6.40 - MySQL 5.7.29 - MariaDB 10.4.12
Wampserver 3.2.0 64 bit - Apache 2.4.43 - PHP 7.4.4/7.3.16/..../5.6.40 - MySQL 5.7.29/8.0.19 - MariaDB 10.4.12
PhPMyadmin 5.0.2 - MysqlDumper 1.24.5
on W10 and W7 Pro 64 bit
Documentation Apache - Documentation PHP - Documentation MySQL - Wampserver install files & addons
« Ce n'est pas parce qu'ils sont nombreux à avoir tort, qu'ils ont forcément raison. Coluche »
« It's not because they are many to be wrong, they are necessarily right. Coluche »

Options: ReplyQuote
Re: I can't update PHPmyAdmin
Posted by: Pisco (---.dynamic.dsl.as9105.com)
Date: April 01, 2020 11:12PM

Hi,

I think the error was what Otomatic said. I deleted MySQL database and I left only MariaDB. So far, I could update all the rest of applications except Apache. I don't know why still this is happening.
I still get the message saying that Windows can't access to the file Does anybody know why? What should I do to update Apache?

Thanks for your time,

Options: ReplyQuote
Re: I can't update PHPmyAdmin
Posted by: Pisco (---.dynamic.dsl.as9105.com)
Date: April 02, 2020 01:15PM

Hi,
I eventually installed Apache and it popped up a window asking me if I wanted the new version of Apache on my virtualhost. The message was saying that I had to Hit and then Enter for Yes and Enter for No. I don't know what they meant with hit but I couldn't access to the log in page of my virtual host. I had to connect my database from my virtual host with wordpress folder to log in again.

Does anybody know what am I doing wrong every time I try to update Wampserver applications? Why the virutalhost never updates right as the localhost does?

- Probably this is not the right forum to ask this question but any guidance would be helpful. Does anybody know how to import a database to phpmyadmin for a virtual host? By default it goes always to my localhost replacing anything created in there.

Thanks guys

Options: ReplyQuote
Re: I can't update PHPmyAdmin
Posted by: Otomatic (Moderator)
Date: April 02, 2020 02:29PM

Hi,

> I had to Hit and then Enter for Yes and Enter for No

The exact message is :
** Want to copy the VirtualHost already configured for Apache 2.4.41
** to Apache 2.4.43
Hit y then Enter for 'YES' - Enter for 'NO'
To copy VirtualHost definitions from Apache 2.4.41 to Apache 2.4.43, you need to hit the key y then the key Enter, this is what "Hit y then Enter" means. If you have a better formulation, don't hesitate to let me know, I will take it into account for Wampserver update 3.2.1.

You have a solution to have the VirtualHosts you defined with Apache 2.4.41 copied with Apache 2.4.43 :

- 1 - Return to Apache 2.4.41 by Left-Click -> Apache -> Version -> 2.4.41 but without answering y the copy request.

- 2 - Switch back to Apache 2.4.43 by Left-Click -> Apache -> Version -> 2.4.43 but answering y to the copy request.

------------------------------------------------------------------------------------------------------------
Wampserver 3.2.0 32 bit - Apache 2.4.43 - PHP 7.4.4/7.3.16/..../5.6.40 - MySQL 5.7.29 - MariaDB 10.4.12
Wampserver 3.2.0 64 bit - Apache 2.4.43 - PHP 7.4.4/7.3.16/..../5.6.40 - MySQL 5.7.29/8.0.19 - MariaDB 10.4.12
PhPMyadmin 5.0.2 - MysqlDumper 1.24.5
on W10 and W7 Pro 64 bit
Documentation Apache - Documentation PHP - Documentation MySQL - Wampserver install files & addons
« Ce n'est pas parce qu'ils sont nombreux à avoir tort, qu'ils ont forcément raison. Coluche »
« It's not because they are many to be wrong, they are necessarily right. Coluche »

Options: ReplyQuote
Re: I can't update PHPmyAdmin
Posted by: Otomatic (Moderator)
Date: April 02, 2020 04:53PM

Hi,

For Wampserver update 3.2.1, the message will be :
** Do you want to copy the already configured VirtualHosts from Apache 2.4.41
** to Apache 2.4.43
Press the Y key and then the Enter key for 'YES
Press only the Enter key for 'NO'

------------------------------------------------------------------------------------------------------------
Wampserver 3.2.0 32 bit - Apache 2.4.43 - PHP 7.4.4/7.3.16/..../5.6.40 - MySQL 5.7.29 - MariaDB 10.4.12
Wampserver 3.2.0 64 bit - Apache 2.4.43 - PHP 7.4.4/7.3.16/..../5.6.40 - MySQL 5.7.29/8.0.19 - MariaDB 10.4.12
PhPMyadmin 5.0.2 - MysqlDumper 1.24.5
on W10 and W7 Pro 64 bit
Documentation Apache - Documentation PHP - Documentation MySQL - Wampserver install files & addons
« Ce n'est pas parce qu'ils sont nombreux à avoir tort, qu'ils ont forcément raison. Coluche »
« It's not because they are many to be wrong, they are necessarily right. Coluche »

Options: ReplyQuote
Re: I can't update PHPmyAdmin
Posted by: Pisco (---.dynamic.dsl.as9105.com)
Date: April 02, 2020 08:04PM

Hi,

I tried what you said but I didn't get that message again. It changes automatically from one version to another. At the moment, I can access to both sites and I believe both are using the new version. I don't know how to check that though.

I will pay more attention next time as I missed the Y letter. Thanks a lot for your feedback.

Any suggestion about how to import a database into a virtual host? I saved one database and I imported it into my localhost site instead of my virtual host. I need to sort this mistake.

If this question is not for this forum, it would be very helpful if at least, I could be pointed to any other source where I could get help.

Thanks

Options: ReplyQuote
Re: I can't update PHPmyAdmin
Posted by: Otomatic (Moderator)
Date: April 02, 2020 09:23PM

Hi,

Your VirtualHosts are in the file:
wamp(64)\bin\apache\apache2.4.41\conf\extra\httpd-vhosts.conf
when you are with Apache version 2.4.41
and in the file
wamp(64)\bin\apache\apache2.4.43\conf\extra\httpd-vhosts.conf
when you are with Apache version 2.4.43

You just have to compare these two files to see which one contains your VirtualHost pour choisir le bon.

Just because there are new versions of Apache, PHP, MySQL, MariaDB or others does not mean that you have to install and use them.
There's an old saying: "When it works, you don't touch".

A database is not imported into a VirtualHost, but into a database that has a name and it is the VirtualHost that in its configuration settings says which database it wants to use.

------------------------------------------------------------------------------------------------------------
Wampserver 3.2.0 32 bit - Apache 2.4.43 - PHP 7.4.4/7.3.16/..../5.6.40 - MySQL 5.7.29 - MariaDB 10.4.12
Wampserver 3.2.0 64 bit - Apache 2.4.43 - PHP 7.4.4/7.3.16/..../5.6.40 - MySQL 5.7.29/8.0.19 - MariaDB 10.4.12
PhPMyadmin 5.0.2 - MysqlDumper 1.24.5
on W10 and W7 Pro 64 bit
Documentation Apache - Documentation PHP - Documentation MySQL - Wampserver install files & addons
« Ce n'est pas parce qu'ils sont nombreux à avoir tort, qu'ils ont forcément raison. Coluche »
« It's not because they are many to be wrong, they are necessarily right. Coluche »

Options: ReplyQuote
Re: I can't update PHPmyAdmin
Posted by: RiggsFolly (Moderator)
Date: April 02, 2020 10:04PM

Oto,

In english If it ain't broke DONT FIX IT smiling smiley

---------------------------------------------------------------------------------------------
(Windows 10 Pro 64bit) (Wampserver 3.2.0 32bit & 64bit)
<Apache versions MULTIPE> <PHP versions MULTIPLE> <MySQL Versions MULTIPLE>
<MariaDB versions MULTIPLE> <phpMyAdmin versions MULTIPLE> <MySQL Workbench 8.0.19>

Read The Manuals Apache -- MySQL -- PHP -- phpMyAdmin
Get your Apache/MySQL/mariaDB/PHP ADDONs here from the WAMPServer alternate Repo
-X-X-X- Backup your MySQL databases regularly Here is How dont regret it later! Yes even when developing -X-X-X-

Options: ReplyQuote
Re: I can't update PHPmyAdmin
Posted by: Pisco (---.dynamic.dsl.as9105.com)
Date: April 03, 2020 01:43AM

Hi,

I checked both files and have the same very information in both versions. Both sites work at the moment so I will follow your advise and not touch them.

How can I change the settings of the virtual host?

The root path that you gave me is where I can physically delete a virtual host or change the custom domain from Wamp but, can I change the database from there? I don't know where I can find the virtual host settings if the answer is no.

The database I am trying to link with my virtual host it used to be on my localhost and I named 'mysite'. Perhaps the mistake is that when I installed Wamp in my new computer I used the same name for my local host' database.

Thanks for your time

Options: ReplyQuote
Re: I can't update PHPmyAdmin
Posted by: Otomatic (Moderator)
Date: April 03, 2020 10:22AM

Hi,

> How can I change the settings of the virtual host?
I think that in this case, what you call VirtualHost is one of your local sites and probably WordPress.
The parameters of a local site are changed in a site configuration file and, this file doesn't necessarily have the same name according to the different CMS; it could be config.php.
But, there can also be parameters in a table in the database related to the local site.

For the database, there again, it is referenced in a configuration file of the site, it can be in config.php but it can also be in another file like config_base.php.

I don't know WordPress and you would have better answers on WordPress Codex

------------------------------------------------------------------------------------------------------------
Wampserver 3.2.0 32 bit - Apache 2.4.43 - PHP 7.4.4/7.3.16/..../5.6.40 - MySQL 5.7.29 - MariaDB 10.4.12
Wampserver 3.2.0 64 bit - Apache 2.4.43 - PHP 7.4.4/7.3.16/..../5.6.40 - MySQL 5.7.29/8.0.19 - MariaDB 10.4.12
PhPMyadmin 5.0.2 - MysqlDumper 1.24.5
on W10 and W7 Pro 64 bit
Documentation Apache - Documentation PHP - Documentation MySQL - Wampserver install files & addons
« Ce n'est pas parce qu'ils sont nombreux à avoir tort, qu'ils ont forcément raison. Coluche »
« It's not because they are many to be wrong, they are necessarily right. Coluche »

Options: ReplyQuote
Re: I can't update PHPmyAdmin
Posted by: Pisco (---.dynamic.dsl.as9105.com)
Date: April 03, 2020 07:55PM

Hi,

Thanks a lot Otomatic. It was very helpful. Yes, it was a local site but when I imported the database, it got installed on my localhost by default.

I'll check those files and I will ask at the Wordpress Codex forum for help.

Thanks

Options: ReplyQuote
Re: I can't update PHPmyAdmin
Posted by: Otomatic (Moderator)
Date: April 03, 2020 09:07PM

Hi,

I don't understand: "it got in my localhost"

------------------------------------------------------------------------------------------------------------
Wampserver 3.2.0 32 bit - Apache 2.4.43 - PHP 7.4.4/7.3.16/..../5.6.40 - MySQL 5.7.29 - MariaDB 10.4.12
Wampserver 3.2.0 64 bit - Apache 2.4.43 - PHP 7.4.4/7.3.16/..../5.6.40 - MySQL 5.7.29/8.0.19 - MariaDB 10.4.12
PhPMyadmin 5.0.2 - MysqlDumper 1.24.5
on W10 and W7 Pro 64 bit
Documentation Apache - Documentation PHP - Documentation MySQL - Wampserver install files & addons
« Ce n'est pas parce qu'ils sont nombreux à avoir tort, qu'ils ont forcément raison. Coluche »
« It's not because they are many to be wrong, they are necessarily right. Coluche »

Options: ReplyQuote
Pages: 12Next
Current Page: 1 of 2


Sorry, only registered users may post in this forum.